> ## Documentation Index
> Fetch the complete documentation index at: https://developers.circle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Event Logs

> Fetch all event logs, optionally filtered by blockchain and contract address.



## OpenAPI

````yaml openapi/smart-contract-platform.yaml get /v1/w3s/contracts/events
openapi: 3.0.3
info:
  description: This is the Circle Contracts API documentation.
  title: Circle Contracts
  version: '1.0'
servers:
  - url: https://api.circle.com
security:
  - BearerAuth: []
tags:
  - name: Templates
  - name: View / Update
  - name: Interact
  - name: Deploy / Import
  - name: Event Monitors
paths:
  /v1/w3s/contracts/events:
    get:
      tags:
        - Event Monitors
      summary: Get Event Logs
      description: >-
        Fetch all event logs, optionally filtered by blockchain and contract
        address.
      operationId: listEventLogs
      parameters:
        - name: contractAddress
          description: Filter contracts by address.
          in: query
          required: false
          schema:
            type: string
        - name: blockchain
          description: Filter by blockchain.
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/Blockchain'
        - $ref: '#/components/parameters/From'
        - $ref: '#/components/parameters/To'
        - $ref: '#/components/parameters/PageBefore'
        - $ref: '#/components/parameters/PageAfter'
        - $ref: '#/components/parameters/PageSize'
        - $ref: '#/components/parameters/XRequestId'
      responses:
        '200':
          description: List of event logs retrieved successfully.
          headers:
            X-Request-Id:
              $ref: '#/components/headers/XRequestId'
            Link:
              $ref: '#/components/headers/PaginationLink'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EventLogs'
        '400':
          description: Invalid request parameters.
          headers:
            X-Request-Id:
              $ref: '#/components/headers/XRequestId'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - BearerAuth: []
components:
  schemas:
    Blockchain:
      type: string
      description: >
        The blockchain network that the resource is to be created on or is
        currently on. 

        Required along with `sourceAddress` if you don't provide `walletId`. The
        `blockchain` and `walletId` fields are mutually exclusive.
      enum:
        - ETH
        - ETH-SEPOLIA
        - MATIC
        - MATIC-AMOY
        - ARB
        - ARB-SEPOLIA
        - UNI
        - UNI-SEPOLIA
        - BASE
        - BASE-SEPOLIA
        - OP
        - OP-SEPOLIA
        - AVAX
        - AVAX-FUJI
        - ARC-TESTNET
        - MONAD
        - MONAD-TESTNET
      example: MATIC-AMOY
    EventLogs:
      title: EventLogsResponse
      type: object
      required:
        - data
      properties:
        data:
          type: object
          required:
            - eventLogs
          properties:
            eventLogs:
              type: array
              description: >-
                A list of event logs generated from the specified contract
                events.
              items:
                $ref: '#/components/schemas/EventLog'
              example:
                - blockHash: '0xabc123def4567890'
                  blockHeight: 123456
                  blockchain: ETH
                  contractAddress: '0x6bc50ff08414717f000431558c0b585332c2a53d'
                  data: '0xabcdef1234567890'
                  eventSignature: Transfer(address,address,uint256)
                  eventSignatureHash: >-
                    0xd3d3dd4b1fd3e53f94deb24e763485b4c925345c5abfa9ad529c67aa55a3b784
                  firstConfirmDate: '2023-01-01T12:00:00Z'
                  id: b56ee4eb-7f48-4ce6-ba55-b71d63a082d4
                  logIndex: '1'
                  topics:
                    - >-
                      0xd3d3dd4b1fd3e53f94deb24e763485b4c925345c5abfa9ad529c67aa55a3b784
                  txHash: >-
                    0xe787956fa895b9debe3c43ec5db01938cf6dc4933e7470cdda7cbe492f530d17
                  userOpHash: >-
                    0x4ceda08efcbed700caf0d47ddd5ecc9b86fca94b9aa4e349bc16837a643fb498
    Error:
      title: Error
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: integer
          description: Code that corresponds to the error.
        message:
          type: string
          description: Message that describes the error.
    XRequestId:
      type: string
      format: uuid
      description: >-
        A unique identifier, which can be helpful for identifying a request when
        communicating with Circle support.
      example: 2adba88e-9d63-44bc-b975-9b6ae3440dde
    EventLog:
      type: object
      required:
        - id
        - blockHash
        - blockHeight
        - blockchain
        - contractAddress
        - data
        - eventSignature
        - eventSignatureHash
        - logIndex
        - topics
        - txHash
        - userOpHash
        - firstConfirmDate
      properties:
        id:
          type: string
          format: uuid
          example: e3c998a5-bdf1-4f3e-812f-24da238c0fff
        blockHash:
          type: string
          example: '0xabc123def4567890'
        blockHeight:
          type: integer
          example: 123456
        blockchain:
          allOf:
            - $ref: '#/components/schemas/Blockchain'
        contractAddress:
          $ref: '#/components/schemas/ContractAddress'
        data:
          type: string
          example: '0xabcdef1234567890'
        eventSignature:
          type: string
          example: Transfer(address indexed from, address indexed to, uint256 value)
        eventSignatureHash:
          type: string
          example: '0xd3d3dd4b1fd3e53f94deb24e763485b4c925345c5abfa9ad529c67aa55a3b784'
        logIndex:
          type: string
          example: '1'
        topics:
          type: array
          items:
            type: string
        txHash:
          type: string
          example: '0xe787956fa895b9debe3c43ec5db01938cf6dc4933e7470cdda7cbe492f530d'
        userOpHash:
          type: string
          example: '0x4ceda08efcbed700caf0d47ddd5ecc9b86fca94b9aa4e349bc16837a643fb498'
        firstConfirmDate:
          type: string
          example: '2023-01-01T12:00:00Z'
    ContractAddress:
      type: string
      description: The on-chain address of this contract.
      example: '0x1e124d7384cd34448ea5907bd0052a79355ab5eb'
  parameters:
    From:
      name: from
      description: >-
        Queries items created since the specified date-time (inclusive) in ISO
        8601 format.
      in: query
      schema:
        type: string
        format: date-time
        example: '2023-01-01T12:04:05Z'
    To:
      name: to
      description: >-
        Queries items created before the specified date-time (inclusive) in ISO
        8601 format.
      in: query
      schema:
        type: string
        format: date-time
        example: '2023-01-01T12:04:05Z'
    PageBefore:
      name: pageBefore
      description: >
        A collection ID value used for pagination.


        It marks the exclusive end of a page. When provided, the collection
        resource will return the next n items before

        the id, with n being specified by pageSize.


        The items will be returned in the natural order of the collection.


        The resource will return the first page if neither pageAfter nor
        pageBefore are specified. 


        SHOULD NOT be used in conjunction with pageAfter.
      in: query
      schema:
        type: string
        format: uuid
    PageAfter:
      name: pageAfter
      description: >
        A collection ID value used for pagination.


        It marks the exclusive begin of a page. When provided, the collection
        resource will return the next n items after

        the id, with n being specified by pageSize.


        The items will be returned in the natural order of the collection.


        The resource will return the first page if neither pageAfter nor
        pageBefore are specified.


        SHOULD NOT be used in conjunction with pageBefore.
      in: query
      schema:
        type: string
        format: uuid
    PageSize:
      name: pageSize
      description: >
        Limits the number of items to be returned.


        Some collections have a strict upper bound that will disregard this
        value. In case the specified value is higher

        than the allowed limit, the collection limit will be used.


        If avoided, the collection will determine the page size itself.
      in: query
      schema:
        type: integer
        default: 10
        maximum: 50
        minimum: 1
    XRequestId:
      name: X-Request-Id
      in: header
      description: >
        Developer-provided identifier for this request, used for tracing
        requests in Wallets API logs and the Developer Console, and when
        communicating with Circle Support.

        **Must be a UUID to appear in logs.** Non-UUID values are accepted by
        the API but are ignored by logging and tracing systems.
      schema:
        $ref: '#/components/schemas/XRequestId'
  headers:
    XRequestId:
      description: >
        Developer-provided header parameter or Circle-generated universally
        unique identifier (UUID v4). Useful for identifying a specific request
        when communicating with Circle Support.
      schema:
        $ref: '#/components/schemas/XRequestId'
    PaginationLink:
      description: >
        Pagination cursor information. Format includes the following link
        relations: - self: URL pointing to the current page. - first: URL
        pointing to the first page. - next: URL pointing to the next page
        (omitted on the last page). - prev: URL pointing to the previous page
        (omitted on the first page).

        It's important to form calls with Link header values instead of
        constructing your own URLs.
      schema:
        type: string
        example: >-
          <https://api.circle.com/v1/w3s/wallets?pageAfter=32d1b923-c30d-58de-a42e-157bf7148b85&pageSize=2>;
          rel="next"
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: PREFIX:ID:SECRET
      description: >-
        Circle's API Keys are formatted in the following structure
        "PREFIX:ID:SECRET". All three parts are required to make a successful
        request.

````